/*
 *  This file is part of DUMPI: 
 *               The MPI profiling library from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <dumpi/libundumpi/callbacks.h>
#include <string.h>
#include <assert.h>

void libundumpi_clear_callbacks(libundumpi_callbacks *callbacks) {
  assert(callbacks != NULL);
  memset(callbacks, 0, sizeof(libundumpi_callbacks));
}
