/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/simulator/ppid.h>
#include <iostream>

namespace sstmac {

  std::ostream& operator<<(std::ostream& os, const ppid &p) {
    os << "ppid(" << p.id() << ")";
    return os;
  }

} // end of namespace sstmac

