/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_skeleton_dummy

%{
#include <sstmac/skeleton/dummy/dummyserver.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::dummyserver);
#else
SWIG_SHARED_PTR_DERIVED(dummyserverptr, sstmac::server, sstmac::dummyserver);
#endif

%import sstmac/swig/process/server.i
%import sstmac/swig/simulator/taskid.i
%import sstmac/swig/simulator/tasklist.i
%import sstmac/swig/simulator/eventhandler.i

%include sstmac/skeleton/dummy/dummyserver.h

